Subject: Re: activating a dial-up connection from cygwin
From: Ronald Landheer-Cieslak <[email-masked]>
To: Rob <[email-masked]>
Cc: [email-masked]
Date: Fri, 25 Jul 2003 16:34:39 +0200

On Fri, Jul 25, 2003 at 10:01:28AM -0400, Rob wrote:
> I was wondering if there was any way to activate an existing windows 2000
> dial-up connection from the cygwin command line.
None that I know of, but..

> The reason I want to know is because I have a shell script that
> automatically backs up files to a remote computer (which is only accessible
> through a vpn connection).  Since I don't want to maintain the VPN
> connection all the time, I need a way to start it up (and possibly shut it
> down) from the command line.
This may be of interest to you:
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wininet/wininet/establishing_a_dial_up_connection_to_the_internet.asp

With this info, it should be pretty straight-forward to make a home-grown util
that does exactly what you want.

Don't forget to share it when you've got it working ;)

HTH

rlc
-- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/